astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- asdf v »
- Developer API »
- ResourceManager

# ResourceManager

class asdf.resource.ResourceManager(resource_mappings)

  Bases: `Mapping`

  Wraps multiple resource mappings into a single interface with some friendlier error handling.

  Parameters:
    resource_mappings iterable of collections.abc.Mapping

      Underlying resource mappings. In the case of a duplicate URI, the first mapping takes precedence.